# 代码管理相关知识点
## 一、Git
- **1.Git的概念**
  - Git是一种分布式版本控制系统，用于跟踪文件的改变和协作开发。


- **2.三个区域的概念**
  - 工作区：实际开发时操作的文件夹。
  - 暂存区：暂存区是一个中间区域，位于工作区和本地版本库之间
  - 本地仓库：本地仓库是指存储在开发者个人计算机上的Git仓库，它包含了项目的完整历史和所有版本信息。

- **3.仓库的概念**
  - Git仓库是存储文件和其历史记录的地方。
- **4.节点的概念**

  - 版本快照

- **4.分支的概念**
  - 分支（Branch）是代码库的不同线路或路径，用于同时进行不同的开发工作

## 二、SourceTree

- **1.SourceTree的概念**

  - Sourcetree是一款免费的Git图形化版本控制工具。

- **2.创建本地仓库**

  ​	<img src="./pictures/创建本地仓库.png" alt="创建本地仓库" style="zoom: 50%;" />

  - (1)打开本地仓库	

    <img src="./pictures/打开本地仓库.png" alt="打开本地仓库" style="zoom: 50%;" />

  

  - (2)克隆远程仓库

  <img src="./pictures/克隆远程仓库.png" alt="克隆远程仓库" style="zoom: 50%;" />

  - (3)获取

  ​	获取是从远程仓库获取信息并同步至本地仓库

  <img src="./pictures/获取.png" alt="获取" style="zoom: 50%;" />

  - (4)关联远程仓库

  ​	<img src="./pictures/关联远程仓库.png" alt="关联远程仓库" style="zoom:67%;" />

  

- **3.节点相关操作**

  - (1)提交

  <img src="./pictures/提交.png" alt=" 提交" style="zoom: 50%;" />

  - (2)重置	

  <img src="./pictures/重置.png" alt="重置" style="zoom:67%;" />

  - (3)回滚提交

  ​	时候我们提交了代码，但后悔了，需要回滚，那么我们可以使用撤销回滚操作

  <img src="./pictures/回滚提交.png" alt="回滚提交" style="zoom:67%;" />

- **4.分支相关操作**
  
  - (1)新建分支
  
  <img src="./pictures/新建分支.png" alt="新建分支" style="zoom: 50%;" />
  
  - (2)合并分支	
  
    <img src="./pictures/合并分支.png" alt="合并分支" style="zoom: 50%;" />
  
  - (3)删除分支
  
  ​	<img src="./pictures/删除分支.png" alt="删除分支" style="zoom:67%;" />
  
  - (3)切换分支
  
  <img src="./pictures/切换分支.png" alt="切换分支" style="zoom:67%;" />
  
  - (4)制造冲突
  
  <img src="./pictures/制造冲突.png" alt="制造冲突" style="zoom: 50%;" />
  
  - (5)解决冲突
  
  <img src="./pictures/解决冲突.png" alt="解决冲突" style="zoom: 50%;" />	
  
  - (6)拉取
  
  ​	拉取是从远程仓库获取信息并同步至本地仓库，并且自动执行合并（merge）操作
  
  <img src="./pictures/拉取.png" alt="拉取" style="zoom: 50%;" />
  
  - (7)推送	<img src="./pictures/推送.png" alt="推送" style="zoom: 50%;" />
  
- **5.其他**
  
  - (1)书写忽略文件
  
  ​	![书写忽略文件](./pictures/书写忽略文件.png)
  
  - (2)停止跟踪	<img src="./pictures/停止跟踪.png" alt="停止跟踪" style="zoom: 50%;" />
  
  - (3)创建补丁
  
  ​	保存某个节点的操作
  
  <img src="./pictures/创建补丁.png" alt=" 创建补丁" style="zoom:50%;" />
  
  - (4)应用补丁
  
  ​	应用某个节点的操作
  
  <img src="./pictures/应用补丁.png" alt="应用补丁" style="zoom: 67%;" />
  
  - (5)贮藏
  
  ​	当在当前分支做了一些修改，突然需要切换到另一个分支去做其他一些紧急的事情，但是既不想提交这些修改，也不想将这些修		改带到别的分支，此时可以选择贮藏功能	<img src="./pictures/贮藏.png" alt="贮藏" style="zoom:67%;" />
  
  
  
  - (6)丢弃
  
  ​	丢弃就是放弃你之前这个文件的所有修改，相当是一键还原到初始状态
  
  ![丢弃](./pictures/丢弃.png)
  
  - (7)移除
  
  ​	移除是直接删除本地文件的
  
  <img src="./pictures/移除.png" alt="移除" style="zoom:67%;" />
  
  - (8)创建标签
  
  <img src="./pictures/创建标签.png" alt="创建标签" style="zoom:67%;" />
  
  - (9)删除标签
  
  ![删除标签](./pictures/删除标签.png)

- **6.综合**
	· 一系列操作后最终状态
	
	![综合](./pictures/综合.png)
